## Arithmetic Function (arithmetic_function)

An arithmetic function (arithmetic_function) is a function that supplies a numeric value.

### Syntax

<arithmetic_function> ::=
ABS ( <expression> )
| CEIL ( <expression> )
| EXP ( <expression> )
| FIXED ( <expression>[, <unsigned_integer> [, <unsigned_integer>] ] )
| FLOAT ( <expression>[, <unsigned_integer> ] )
| FLOOR ( <expression> )
| INDEX ( <string_spec>, <string_spec> [,<expression>[, <expression>] ] )
| LENGTH ( <expression> )
| LN ( <expression> )
| LOG ( <expression>, <expression> )
| NOROUND ( <expression> )
| PI
| POWER ( <expression>, <expression> )
| ROUND ( <expression>[, <expression>] )
| SIGN ( <expression> )
| SQRT ( <expression> )
| TRUNC ( <expression>[, <expression>] )

<string_spec> ::= <expression>

### Explanation

Only expressions that produce an alphanumeric value are permitted as string specifications (string_spec).

See also:

Functions: Overview